LINUX.ORG.RU

Не запускается firewalld

 ,


0

1

Подскажите, почему не запускается firewalld?

systemctl start firewalld.service

Job for firewalld.service failed because the control process exited with error code.
See "systemctl status firewalld.service" and "journalctl -xe" for details.

systemctl status firewalld.service

● firewalld.service - firewalld - dynamic firewall daemon
     Loaded: loaded (/usr/lib/systemd/system/firewalld.service; disabled; vendor preset: disabled)
     Active: failed (Result: exit-code) since Wed 2020-01-08 14:56:04 +07; 3min 24s ago
       Docs: man:firewalld(1)
    Process: 11717 ExecStart=/usr/bin/firewalld --nofork --nopid $FIREWALLD_ARGS (code=exited, status=1/FAILURE)
   Main PID: 11717 (code=exited, status=1/FAILURE)

янв 08 14:56:04 Asus systemd[1]: Starting firewalld - dynamic firewall daemon...
янв 08 14:56:04 Asus systemd[1]: firewalld.service: Main process exited, code=exited, status=1/FAILURE
янв 08 14:56:04 Asus systemd[1]: firewalld.service: Failed with result 'exit-code'.
янв 08 14:56:04 Asus systemd[1]: Failed to start firewalld - dynamic firewall daemon.

journalctl -xe

янв 08 14:56:04 Asus systemd[1]: Starting firewalld - dynamic firewall daemon...
-- Subject: Начинается запуск юнита firewalld.service
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Начат процесс запуска юнита firewalld.service.
янв 08 14:56:04 Asus systemd[1]: firewalld.service: Main process exited, code=exited, status=1/FAILURE
-- Subject: Unit process exited
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- An ExecStart= process belonging to unit firewalld.service has exited.
-- 
-- The process' exit code is 'exited' and its exit status is 1.
янв 08 14:56:04 Asus systemd[1]: firewalld.service: Failed with result 'exit-code'.
-- Subject: Unit failed
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- The unit firewalld.service has entered the 'failed' state with result 'exit-code'.
янв 08 14:56:04 Asus systemd[1]: Failed to start firewalld - dynamic firewall daemon.
-- Subject: Ошибка юнита firewalld.service
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Произошел сбой юнита firewalld.service.
-- 

firewalld –nofork –debug

Traceback (most recent call last):
  File "/usr/bin/firewalld", line 142, in startup
    from firewall.server import server
  File "/usr/lib/python3.8/site-packages/firewall/server/server.py", line 34, in <module>
    from gi.repository import GObject, GLib
ModuleNotFoundError: No module named 'gi.repository'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/firewalld", line 194, in <module>
    main()
  File "/usr/bin/firewalld", line 189, in main
    startup(args)
  File "/usr/bin/firewalld", line 156, in startup
    except dbus.exceptions.DBusException as e:
AttributeError: module 'dbus' has no attribute 'exceptions'

pacman -Q firewalld

firewalld 0.8.0-1

Ответ на: комментарий от Prosto_user

Так программа на третьем, а в python-gobject этого модуля уже нет , вернее другой путь Можно попробовать взять из старого пакета и подсунуть

anonymous ()
Ответ на: комментарий от Prosto_user

Что то у тебя не то.Или версия питона не та по умолчанию или пакета нет или не тот.

модуль gi.repository входит в пакет python-gobject

Сделай

sudo pacman -Sy python python-gobject firewalld
#и дай полный вывод 
python
#жмешь интер
import gi.repository

 

 
anonymous ()
Ответ на: комментарий от anonymous
:: Обновление баз данных пакетов...
 core не устарел
 extra не устарел
 community не устарел
 multilib не устарел
предупреждение: python-3.8.1-1 не устарел -- переустанавливается
предупреждение: python-gobject-3.34.0-3 не устарел -- переустанавливается
предупреждение: firewalld-0.8.0-1 не устарел -- переустанавливается
разрешение зависимостей...
проверка конфликтов...

Пакеты (3) firewalld-0.8.0-1  python-3.8.1-1  python-gobject-3.34.0-3

Будет установлено:  157,14 MiB
Изменение размера:    0,00 MiB

:: Приступить к установке? [Y/n] 
(3/3) проверка ключей                                                                      [#####################################################] 100%
(3/3) проверка целостности пакета                                                          [#####################################################] 100%
(3/3) загрузка файлов пакетов                                                              [#####################################################] 100%
(3/3) проверка конфликтов файлов                                                           [#####################################################] 100%
(3/3) проверка доступного места                                                            [#####################################################] 100%
:: Обработка изменений пакета...
(1/3) переустановка python                                                                 [#####################################################] 100%
(2/3) переустановка python-gobject                                                         [#####################################################] 100%
(3/3) переустановка firewalld                                                              [#####################################################] 100%
:: Запуск post-transaction hooks...
(1/6) Reloading system manager configuration...
(2/6) Arming ConditionNeedsUpdate...
(3/6) Reloading system bus configuration...
(4/6) Compiling GSettings XML schema files...
No such key “button-layout” in schema “org.gnome.mutter:Pantheon” as specified in override file “/usr/share/glib-2.0/schemas/20_elementary.pantheon.wm.gschema.override”; ignoring override for this key.
No such key “enable-animations” in schema “org.gnome.mutter:Pantheon” as specified in override file “/usr/share/glib-2.0/schemas/20_elementary.pantheon.wm.gschema.override”; ignoring override for this key.
(5/6) Updating icon theme caches...
(6/6) Updating the desktop file MIME type cache...
python
Python 3.8.1 (default, Dec 21 2019, 20:57:38) 
[GCC 9.2.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import gi.repository
>>> 
Traceback (most recent call last):
  File "/usr/bin/firewalld", line 142, in startup
    from firewall.server import server
  File "/usr/lib/python3.8/site-packages/firewall/server/server.py", line 38, in <module>
    import dbus.service
ModuleNotFoundError: No module named 'dbus.service'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/firewalld", line 194, in <module>
    main()
  File "/usr/bin/firewalld", line 189, in main
    startup(args)
  File "/usr/bin/firewalld", line 156, in startup
    except dbus.exceptions.DBusException as e:
AttributeError: module 'dbus' has no attribute 'exceptions'
Prosto_user ()
Ответ на: комментарий от Prosto_user

По-быстрому переустановил все пакеты. Теперь всё стало получше, он запустился, но ругался на:

WARNING: ipset not usable, disabling ipset usage in firewall.
WARNING: ebtables-restore and ebtables are missing, disabling bridge firewall.

Пришлось доустановить пакеты ipset и ebtables

systemctl status firewalld.service

● firewalld.service - firewalld - dynamic firewall daemon
     Loaded: loaded (/usr/lib/systemd/system/firewalld.service; disabled; vendor preset: disabled)
     Active: active (running) since Thu 2020-01-09 08:06:53 +07; 1s ago
       Docs: man:firewalld(1)
   Main PID: 32146 (firewalld)
      Tasks: 2 (limit: 4560)
     Memory: 22.1M
     CGroup: /system.slice/firewalld.service
             └─32146 /usr/bin/python /usr/bin/firewalld --nofork --nopid

янв 09 08:06:52 Asus systemd[1]: Starting firewalld - dynamic firewall daemon...
янв 09 08:06:53 Asus systemd[1]: Started firewalld - dynamic firewall daemon.

Благодарю за помощь!

Prosto_user ()
Последнее исправление: Prosto_user (всего исправлений: 1)